<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
  </head>
  <body>
    <style>
      table, th, td {
        border: 1px solid black;
      }
      td {
        padding: 5px 5px 5px 5px;
        align-items: center;
      }
    </style>
    <table>
      <tr>
        <th>From</th>
        <th>To</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      <!-- TODO loop from Friend model -->
      <!-- EXAMPLE SECTION -->
      {% if notes %}
        {% for e in notes %}
          <tr>
            <td style="max-width: 100px;">{{ e.From }}  </td>
            <td style="max-width: 100px;">{{ e.To }}  </td>
            <td style="max-width: 200px;">{{ e.Title }}  </td>
            <td> 
              <div id="message-{{ forloop.counter }}" style="display: none; max-width: 800px;margin-bottom: 10px;">{{ e.Message }}</div>
              <button id="btn-{{ forloop.counter }}"  onclick='myFunction("{{ forloop.counter }}")'>show</button>
              <script>
                function myFunction(n) {
                  let x = document.getElementById(`message-${n}`);
                  let y = document.getElementById(`btn-${n}`);
                  if (x.style.display == "block") {
                      y.innerHTML="show";
                      x.style.display = "none";
                  } else {
                      y.innerHTML="hide"
                      x.style.display = "block";
                  }
                }
              </script>
            </td>
          </tr>
        {% endfor %}
      {% endif %}
      <!-- END SECTION -->
    </table>
  </body>
</html>
